<template>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-heading">Handle User Input</div>

                    <div class="panel-body">
                        {{message}}
                        <br>
                        <input v-model="message">
                        <br>
                        <button v-on:click="reverseMessage">Reverse Message</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data(){
            return {
                message: 'makan rek!'
            }
        },
        methods:{

                reverseMessage () {
                    this.message = this.message.split('').reverse().join('')
                }

        },
        mounted() {
            console.log('Component mounted.')
        }
    }
</script>
